import BN from 'bn.js';
import Web3 from 'web3';
import { Entity, IEntityParams } from '..';
export declare class User extends Entity {
    private _startBlock?;
    private static _contractName;
    constructor(web3: Web3, params: IEntityParams, startBlock?: BN);
    static contractName: string;
    static createUser(web3Endpoint: string, plasmaAddress: string, dappchainEndpoint: string, ethPrivateKey: string, startBlock?: BN): User;
    transferAsync(slot: BN, newOwner: string): Promise<any>;
    verifyInclusionAsync(slot: BN, block: BN): Promise<boolean>;
    exitAsync(slot: BN): Promise<any>;
    deposits(): Promise<any[]>;
    allDeposits(): Promise<any[]>;
    disconnect(): void;
    debug(i: number): Promise<void>;
    private findBlocks;
    private getCoinHistoryFromDBAsync;
}
